Package edu.claflin.finder.algo.clustering

# Class ClusteringAlgorithm

java.lang.Object
edu.claflin.finder.algo.Algorithm
edu.claflin.finder.algo.clustering.ClusteringAlgorithm

All Implemented Interfaces:
  `Processable<Graph,Graph>`

Direct Known Subclasses:
  `FastGreedy`, `GirvanNewman`, `Infomap`, `LabelPropagation`, `LeadingEigenvector`, `Louvain`, `Walktrap`

public abstract class ClusteringAlgorithm extends Algorithm

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class edu.claflin.finder.algo.Algorithm

  `Algorithm.GraphSortOrder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private boolean`
  `weighted`

  ### Fields inherited from class edu.claflin.finder.algo.Algorithm

  `args, PROP_PROGRESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusteringAlgorithm(ArgumentsBundle args)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ArrayList<Graph>`
  `buildCommunityGraphs(List<List<Node>> cs, Graph graph, String algo_name)`
  `boolean`
  `isWeighted()`

  ### Methods inherited from class edu.claflin.finder.algo.Algorithm

  `addPropertyChangeListener, cull, getGraphSortOrder, getMinNodeCount, getPartiteNumber, getWeightName, removePropertyChangeListener, setGraphSortOrder, setMinNodeCount, setPartiteNumber, setProgress, setWeightName, zeropad`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface edu.claflin.finder.logic.processor.Processable

  `process`

- ## Field Details

  - ### weighted

    private boolean weighted

- ## Constructor Details

  - ### ClusteringAlgorithm

    public ClusteringAlgorithm(ArgumentsBundle args)

- ## Method Details

  - ### isWeighted

    public boolean isWeighted()

  - ### buildCommunityGraphs

    protected ArrayList<Graph> buildCommunityGraphs(List<List<Node>> cs, Graph graph, String algo_name)